Subject: Re: unsafe locks seen with netperf on net-2.6.29 tree

From: Ingo Molnar <[email-masked]>
Date: Mon, 29 Dec 2008 12:58:27 +0100

* Herbert Xu <[email-masked]> wrote:

> On Mon, Dec 29, 2008 at 12:28:58PM +0100, Ingo Molnar wrote:
> >
> > i got the splat further below with Peter's workaround applied.
> 
> This looks like the issue that Peter's original patch (the one that 
> differentiated between instances of percpu counters) fixed. Did you have 
> both of his patches applied?

no, i only applied one of them. Is his second patch a good solution in 
your opinion, and should i thus test both of them? (or will the second one 
iterate some more - in which case i will keep the revert for now)

	Ingo